Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161570 - sg_map has hardcoded limits: 128 disks, 256 scsi devices
Summary: sg_map has hardcoded limits: 128 disks, 256 scsi devices
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sg3_utils
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dan Horák
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-24 15:22 UTC by Lee Schermerhorn
Modified: 2008-08-15 09:13 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-15 09:13:52 UTC


Attachments (Terms of Use)

Description Lee Schermerhorn 2005-06-24 15:22:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
sg_map has internal hardcoded limit of 256 SCSI devices and 128 scsi disks.  On a system with a large storage configuration, sg_map will not report the mapping of any scsi device beyond the first 256 [sg255] nor any scsi disk beyond the first 128 [sddx].  Note that internally, the scsi generic driver supports ~32K scsi devices.

Version-Release number of selected component (if applicable):
sg3_utils-1.06

How reproducible:
Always

Steps to Reproduce:
1. on a system w/ >256 scsi devices and/or > 128 scsi disks, type 'sg_map -x'
2.
3.
  

Actual Results:  Note that the mappings for only the first 128 disks and 1st 256 scsi devices will be displayed.

Expected Results:  mappings for all configured scsi devices and disks, up to the number supported internally by the driver, should be displayed.

Additional info:

upstream sg3_utils-1.15 ups the disk limit to ~18000 [sda-sdzzz] but does not increase the number of supported scsi devices [?!!!].

Comment 1 Phil Knirsch 2005-06-27 09:45:12 UTC
Has this bug been sent to the sg3_utils upstream maintainers and is there a fix
available from them?

Read ya, Phil

Comment 2 Lee Schermerhorn 2005-06-27 13:55:23 UTC
No. I didn't see any link for reporting bugs against sg3_utils on the Linux SCSI
Generic Driver pages.  Guess I can send e-mail directly to Douglas Gilbert. 
Will do.  I just wanted to give Red Hat a heads up on this.  

Comment 3 Phil Knirsch 2005-06-27 13:58:11 UTC
Thanks for the info, it's really appreciated. If you get any news please let me
know via this bugzilla.

Thanks again,

Read ya, Phil

Comment 4 Lee Schermerhorn 2005-07-12 14:33:05 UTC
I reported the limits to Doug Gilbert.  He wasn't aware that Red Hat is shipping
sg3_utils.  He said that he would be happy to increase the limits.  He added
that he has kept the current sg3 utils compatible with 2.4 kernels, and is
working on new utilities for 2.6+ that use sysfs.  He sent me a preview of a new
"lsscsi" utility that replaces sg_map.  Very nice!  I suggest you consider it
for a future RHEL release.

Comment 5 Phil Knirsch 2005-07-12 14:38:47 UTC
That sounds great! Do you have any info when Doug wants to release a new version
of sg3_utils?

Read ya, Phil

Comment 7 Phil Knirsch 2008-04-17 15:35:46 UTC
Ok, RHEL-4.6 contains sg3_utils-1.22 which also increased the device numbers of
scsi devices for sg_map to 2048, so i think this bug can be closed?

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.